package com.gct.dlmodel.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * dec:
 * <p>
 * ModelFileParam
 * </p>
 *
 * @author lloyd
 * @version 1.0.1
 * @since 2021/12/16 下午1:18
 */
@Data
@Accessors(chain = true)
@ApiModel("上传文件参数")
public class ModelFileParam {
    @ApiModelProperty("桶名称")
    private String bucketName;
    @ApiModelProperty("对象名称")
    private String objectName;
    @ApiModelProperty("本地路径")
    private String localPath;
    @ApiModelProperty("上传后版本")
    private Integer newVersion;
    @ApiModelProperty("主 id")
    private String masterId;
    @ApiModelProperty("分部 id")
    private Integer partitionId;
}
